Subject: Re: [PATCH net 0/3] selftests: mptcp: reduce bufferbloat and cleanup

From: Jakub Kicinski <[email-masked]>
Date: Thu, 28 May 2026 16:39:07 -0700

On Fri, 29 May 2026 09:13:44 +1000 Matthieu Baerts wrote:
> Hi Jakub,
> 
> On 29/05/2026 07:42, Jakub Kicinski wrote:
> > On Wed, 27 May 2026 22:11:33 +1000 Matthieu Baerts (NGI0) wrote:  
> >> Bufferbloat is baaaad, even in our selftests: let's kill it (or at least
> >> reduce it). By doing that, the tests (seem to) have a more stable
> >> transfer, and are then less unstable. That's what patches 1-2 are doing,
> >> and they can be backported up to 5.10.  
> > 
> > Could you explain a little more what this is actually fixing?  
> 
> The simult_flows.sh test simulates very low speed links using netem
> qdiscs. With the current configuration, still a large amount of packets
> can be queued, which means high TCP RTT samples and then large receive
> buffer size. Minimal inaccuracy in the pacing rate can lead to using
> only one subflow towards the end of the connection for a considerable
> amount of data, while the test expects to use the 2 available paths in
> parallel.
> 
> > Does it give a huge increase in test stability?  
> I would say no: the test was not that flaky, mainly on NIPA in fact, and
> around 4% in the last 100 tests [1]. On my side, I had to get my system
> busy to reproduce the issues. My hope is that the success rate on NIPA
> switches from 96 to ~100%. No failure since its introduction in
> "net-next-2026-05-27--15-00".
> 
> I sent them to net, just to increase the stability when validating
> stable kernels as well. But all of this is not urgent, and this series
> can be applied in net-next if preferred. Do you want me to resend this
> series targeting net-next?

Thanks for explaining, I will take these via net-next, no problem.